Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin).
Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change.
Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds.
Id of a (sub)account - by default current user id is used
Example:
1
margin_model
enum<string>
required
Margin model
Available options:
cross_pm,
cross_sm,
segregated_pm,
segregated_sm
dry_run
boolean
If true request returns the result without switching the margining model. Default: false
Example:
true
Response
200 - application/json
Success response
jsonrpc
enum<string>
required
The JSON-RPC version (2.0)
Available options:
2.0
result
object[]
required
Hide child attributes
result.old_state
object
required
Represents portfolio state before change
Hide child attributes
result.old_state.maintenance_margin_rate
number
required
Maintenance margin rate before change
result.old_state.initial_margin_rate
number
required
Initial margin rate before change
result.old_state.available_balance
number
required
Available balance before change
result.new_state
object
required
Represents portfolio state after change
Hide child attributes
result.new_state.maintenance_margin_rate
number
required
Maintenance margin rate after change
result.new_state.initial_margin_rate
number
required
Initial margin rate after change
result.new_state.available_balance
number
required
Available balance after change
result.currency
enum<string>
required
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC,
ETH,
USDC,
USDT,
EURR
id
integer
The id that was sent in the request
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Deribit API Documentation","colors":{"primary":"#0052FF","light":"#FFFFFF","dark":"#0A0B0D"},"logo":{"light":"https://mintcdn.com/deribit/jU8dKQ0mWmFd1NVE/images/deribit_cb_logo_main_black_rgb.svg?fit=max\u0026auto=format\u0026n=jU8dKQ0mWmFd1NVE\u0026q=85\u0026s=f6995f51656093856017582bb557e0ff","dark":"https://mintcdn.com/deribit/jU8dKQ0mWmFd1NVE/images/deribit_cb_logo_main_white_rgb.svg?fit=max\u0026auto=format\u0026n=jU8dKQ0mWmFd1NVE\u0026q=85\u0026s=54d8347f0cac32c775a460a4d7e569f4"},"favicon":{"light":"https://mintcdn.com/deribit/WDohEFxcHZWhzVUu/images/deribit_cb_emblem_blue_rgb@2x.png?fit=max\u0026auto=format\u0026n=WDohEFxcHZWhzVUu\u0026q=85\u0026s=0a53f4ec20c46d3d11d95a63fb1758aa","dark":"https://mintcdn.com/deribit/WDohEFxcHZWhzVUu/images/deribit_cb_emblem_blue_rgb@2x.png?fit=max\u0026auto=format\u0026n=WDohEFxcHZWhzVUu\u0026q=85\u0026s=0a53f4ec20c46d3d11d95a63fb1758aa"},"api":{"params":{"expanded":"all"},"playground":{"display":"none"},"examples":{"autogenerate":false}},"footer":{"socials":{"x":"https://x.com/DeribitOfficial","linkedin":"https://www.linkedin.com/company/deribit"}},"seo":{"metatags":{"canonical":"https://docs.deribit.com/","description":"Complete API documentation for Deribit cryptocurrency derivatives exchange. Learn how to integrate with our JSON-RPC, WebSocket, and FIX APIs for trading futures, perpetuals, and options.","keywords":"Deribit API, cryptocurrency API, derivatives API, trading API, WebSocket API, FIX API, Bitcoin futures, options trading, API documentation","author":"Deribit","robots":"index, follow","og:type":"website","og:site_name":"Deribit API Documentation","og:locale":"en_US","twitter:card":"summary_large_image","twitter:site":"@DeribitOfficial","application-name":"Deribit API Documentation","theme-color":"#0052FF","color-scheme":"light dark"}},"integrations":{"ga4":{"measurementId":"G-3TPTYKFQQ7"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"deribit","hasAudioNarration":false,"actualSubdomain":"deribit","customDomains":["docs.deribit.com"],"gitSource":{"type":"github","owner":"deribit","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true,"contextualFeedback":{"allowEmail":true},"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b0072fede75caffbb0284e0","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"API Reference","count":606},{"language":"default","tag":"JSON-RPC API","count":376},{"language":"default","tag":"Methods","count":373},{"language":"default","tag":"Market Data","count":103},{"language":"default","tag":"Subscription Channels","count":87},{"language":"default","tag":"Websockets","count":86},{"language":"default","tag":"Account Management","count":82},{"language":"default","tag":"FIX API","count":78},{"language":"default","tag":"Trading","count":74},{"language":"default","tag":"Wallet","count":50}],"searchSettings":{"maxResults":10}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"dev@deribit.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"public/style.css","content":".method-pill,.method-nav-pill{display:none!important}.tryit-button{display:none!important}.api-section-heading-subtitle{display:none!important}.api-section[data-section=\"body\"]{display:none!important}li[data-title] button.group>div{font-weight:700!important}body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table th:nth-child(1),body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table td:nth-child(1){width:6%!important;min-width:50px}body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table th:nth-child(2),body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table td:nth-child(2){width:12%!important;min-width:90px}body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table th:nth-child(3),body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table td:nth-child(3){width:8%!important;min-width:70px}body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table th:nth-child(4),body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table td:nth-child(4){width:8%!important;min-width:70px}body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table th:nth-child(5),body:has(a[aria-current=\"page\"][href*=\"/fix-api/\"]) table td:nth-child(5){width:66%!important;min-width:350px}.rate-limit-methods{margin-top:0.75rem}.rate-limit-method-labels,.rate-limit-method-values{display:grid;grid-template-columns:minmax(4.5rem, 0.7fr) minmax(5rem, 0.9fr) minmax(8rem, 1.4fr) minmax(6rem, 1fr);column-gap:1rem;align-items:baseline}.rate-limit-method-labels{padding-bottom:0.35rem;border-bottom:1px solid color-mix(in srgb, currentColor 16%, transparent);font-size:0.8125rem;font-weight:600}.rate-limit-method{padding:0.7rem 0;border-bottom:1px solid color-mix(in srgb, currentColor 12%, transparent)}.rate-limit-method:last-child{border-bottom:none;padding-bottom:0.15rem}.rate-limit-method-name{margin-bottom:0.3rem}.rate-limit-method-name code{white-space:nowrap!important;word-break:normal!important;overflow-wrap:normal!important}.rate-limit-metric-label{display:none}.rate-limit-tiers table{table-layout:fixed;width:100%}.rate-limit-tiers th,.rate-limit-tiers td{min-width:0!important;width:auto!important}.rate-limit-tiers th:nth-child(1),.rate-limit-tiers td:nth-child(1){width:11%!important}.rate-limit-tiers th:nth-child(2),.rate-limit-tiers td:nth-child(2){width:18%!important}.rate-limit-tiers th:nth-child(3),.rate-limit-tiers td:nth-child(3){width:18%!important}.rate-limit-tiers th:nth-child(4),.rate-limit-tiers td:nth-child(4){width:16%!important}.rate-limit-tiers th:nth-child(5),.rate-limit-tiers td:nth-child(5){width:37%!important}@media (max-width: 640px){.rate-limit-method-labels{display:none}.rate-limit-method-values{grid-template-columns:1fr 1fr;row-gap:0.45rem}.rate-limit-metric-label{display:block;font-size:0.75rem;font-weight:600;opacity:0.7}}"}]}
{"page":{"pagePath":"api-reference/upcoming/account-management/private-change_margin_model","slug":"/api-reference/upcoming/account-management/private-change_margin_model","pageMetadata":{"title":"private/change_margin_model","description":"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin).\n\nChanging the margin model may affect margin requirements, available funds, and trading capabilities. Use the `dry_run` parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change.\n\nReturns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds.\n\n**📖 Related Article:** [Margin types and usage](https://support.deribit.com/hc/en-us/articles/25944811317149-Margin-types-and-usage)\n\n**Scope:** `account:read_write`\n\n[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_margin_model)\n\n","deprecated":null,"version":null,"og:title":"private/change_margin_model","keywords":["private/change_margin_model","user_id","margin_model","dry_run","old_state","new_state","currency"],"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_margin_model","href":"/api-reference/upcoming/account-management/private-change_margin_model","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin).\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the \", _jsx(_components.code, {\n children: \"dry_run\"\n }), \" parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"📖 Related Article:\"\n }), \" \", _jsx(_components.a, {\n href: \"https://support.deribit.com/hc/en-us/articles/25944811317149-Margin-types-and-usage\",\n children: \"Margin types and usage\"\n })]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Scope:\"\n }), \" \", _jsx(_components.code, {\n children: \"account:read_write\"\n })]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.a, {\n href: \"https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_margin_model\",\n children: \"Try in API console\"\n })\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"private/change_margin_model","description":"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin).\n\nChanging the margin model may affect margin requirements, available funds, and trading capabilities. Use the `dry_run` parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change.\n\nReturns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds.\n\n**📖 Related Article:** [Margin types and usage](https://support.deribit.com/hc/en-us/articles/25944811317149-Margin-types-and-usage)\n\n**Scope:** `account:read_write`\n\n[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_margin_model)\n\n","deprecated":null,"version":null,"og:title":"private/change_margin_model","keywords":["private/change_margin_model","user_id","margin_model","dry_run","old_state","new_state","currency"],"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_margin_model","href":"/api-reference/upcoming/account-management/private-change_margin_model","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/deribit/a355478acb7a8697/public/replace-query-params.js"],"openApiReferenceData":{"operation":{"parameters":["f9094560-99bc-44d3-b7f3-0770a0c33740","99eb27e8-21d5-45f1-8e9b-7881095cf7d7","26cb590a-5f47-49cb-8e9e-94098fa5207d"],"responses":{"200":"3f0d8268-0927-47fb-98ae-f7490a91430b"},"tags":["Account Management","Private"],"requestBody":"1070d522-c500-4347-8e94-dad1ea1d7fcd","description":"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin).\n\nChanging the margin model may affect margin requirements, available funds, and trading capabilities. Use the `dry_run` parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change.\n\nReturns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds.\n\n**📖 Related Article:** [Margin types and usage](https://support.deribit.com/hc/en-us/articles/25944811317149-Margin-types-and-usage)\n\n**Scope:** `account:read_write`\n\n[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_margin_model)\n\n","x-mint":{"metadata":{"title":"private/change_margin_model","og:title":"private/change_margin_model","keywords":["private/change_margin_model","user_id","margin_model","dry_run","old_state","new_state","currency"]},"href":"/api-reference/upcoming/account-management/private-change_margin_model"},"x-codeSamples":[{"lang":"bash","label":"cURL","source":"curl --request POST \\\n --url https://test.deribit.com/api/v2/private/change_margin_model \\\n --header 'Authorization: Bearer \u003cACCESS_TOKEN>' \\\n --header 'Content-Type: application/json' \\\n --data '{\n \"jsonrpc\": \"2.0\",\n \"id\": 1,\n \"method\": \"private/change_margin_model\",\n \"params\": {\n \"user_id\": 3,\n \"margin_model\": \"cross_pm\"\n }\n}'"}],"method":"get","type":"path","servers":["664f4fbb-b57f-4e03-8c19-f187cd931be6"],"security":[],"path":"/private/change_margin_model","baseUrlOptions":["https://test.deribit.com/api/v2"],"title":"","codeSamples":[{"label":"cURL","lang":"bash","source":"curl --request POST \\\n --url https://test.deribit.com/api/v2/private/change_margin_model \\\n --header 'Authorization: Bearer \u003cACCESS_TOKEN>' \\\n --header 'Content-Type: application/json' \\\n --data '{\n \"jsonrpc\": \"2.0\",\n \"id\": 1,\n \"method\": \"private/change_margin_model\",\n \"params\": {\n \"user_id\": 3,\n \"margin_model\": \"cross_pm\"\n }\n}'"}],"requiredOnlyExamples":false,"disableCodeSampleGeneration":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"f9094560-99bc-44d3-b7f3-0770a0c33740":{"name":"user_id","in":"query","schema":{"type":"integer","example":1,"isRequired":false,"description":"Id of a (sub)account - by default current user id is used","uniqueKey":"","typeLabel":"integer"},"required":false,"description":"Id of a (sub)account - by default current user id is used"},"99eb27e8-21d5-45f1-8e9b-7881095cf7d7":{"name":"margin_model","in":"query","schema":{"type":"string","enum":["cross_pm","cross_sm","segregated_pm","segregated_sm"],"isRequired":true,"description":"Margin model","uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":true,"description":"Margin model"},"26cb590a-5f47-49cb-8e9e-94098fa5207d":{"name":"dry_run","in":"query","schema":{"type":"boolean","example":true,"isRequired":false,"description":"If `true` request returns the result without switching the margining model. Default: `false`","uniqueKey":"","typeLabel":"boolean"},"required":false,"description":"If `true` request returns the result without switching the margining model. Default: `false`"}},"requestBody":{"content":{"application/json":{"examples":{"request":{"title":"request","summary":"JSON-RPC Request Example","value":{"jsonrpc":"2.0","id":1,"method":"private/change_margin_model","params":{"user_id":3,"margin_model":"cross_pm"}}}},"exampleType":"examples"}},"description":"JSON-RPC request body","exampleType":"examples"},"responses":{"3f0d8268-0927-47fb-98ae-f7490a91430b":{"content":{"application/json":{"schema":{"properties":{"jsonrpc":{"type":"string","enum":["2.0"],"description":"The JSON-RPC version (2.0)","isRequired":true,"uniqueKey":"jsonrpc","typeLabel":"enum\u003cstring>"},"result":{"type":"array","items":{"type":"object","properties":{"old_state":{"type":"object","properties":{"maintenance_margin_rate":{"type":"number","description":"Maintenance margin rate before change","isRequired":true,"uniqueKey":"result.items.[INDEX].old_state.maintenance_margin_rate","typeLabel":"number"},"initial_margin_rate":{"type":"number","description":"Initial margin rate before change","isRequired":true,"uniqueKey":"result.items.[INDEX].old_state.initial_margin_rate","typeLabel":"number"},"available_balance":{"type":"number","description":"Available balance before change","isRequired":true,"uniqueKey":"result.items.[INDEX].old_state.available_balance","typeLabel":"number"}},"required":["maintenance_margin_rate","initial_margin_rate","available_balance"],"description":"Represents portfolio state before change","isRequired":true,"uniqueKey":"result.items.[INDEX].old_state","typeLabel":"object"},"new_state":{"type":"object","properties":{"maintenance_margin_rate":{"type":"number","description":"Maintenance margin rate after change","isRequired":true,"uniqueKey":"result.items.[INDEX].new_state.maintenance_margin_rate","typeLabel":"number"},"initial_margin_rate":{"type":"number","description":"Initial margin rate after change","isRequired":true,"uniqueKey":"result.items.[INDEX].new_state.initial_margin_rate","typeLabel":"number"},"available_balance":{"type":"number","description":"Available balance after change","isRequired":true,"uniqueKey":"result.items.[INDEX].new_state.available_balance","typeLabel":"number"}},"required":["maintenance_margin_rate","initial_margin_rate","available_balance"],"description":"Represents portfolio state after change","isRequired":true,"uniqueKey":"result.items.[INDEX].new_state","typeLabel":"object"},"currency":{"enum":["BTC","ETH","USDC","USDT","EURR"],"type":"string","description":"Currency, i.e `\"BTC\"`, `\"ETH\"`, `\"USDC\"`","isRequired":true,"uniqueKey":"result.items.[INDEX].currency","typeLabel":"enum\u003cstring>"}},"required":["old_state","new_state","currency"],"uniqueKey":"result.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"result","typeLabel":"object[]"},"id":{"type":"integer","description":"The id that was sent in the request","uniqueKey":"id","typeLabel":"integer"}},"required":["result","jsonrpc"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"response":{"title":"response","summary":"Response example","value":{"jsonrpc":"2.0","id":1,"result":[{"old_state":{"maintenance_margin_rate":0,"initial_margin_rate":0,"available_balance":0},"new_state":{"maintenance_margin_rate":0,"initial_margin_rate":0,"available_balance":0},"currency":"eth"},{"old_state":{"maintenance_margin_rate":0.02862727,"initial_margin_rate":0.45407615,"available_balance":0.553590509},"new_state":{"maintenance_margin_rate":0.02710204,"initial_margin_rate":0.03252245,"available_balance":0.98106428},"currency":"btc"}]}}},"exampleType":"examples"}},"description":"Success response","exampleType":"examples"}},"security":{},"servers":{"664f4fbb-b57f-4e03-8c19-f187cd931be6":{"url":"https://test.deribit.com/api/v2"}}},"originalFileLocation":"specifications/deribit_upcoming_openapi.json"},"subdomain":"deribit","siteName":"Deribit API Documentation","title":"private/change_margin_model","relatedPagesConfig":{"enabled":true,"limit":5,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{"Production":{"href":"/","matchLevel":4},"Upcoming":{"href":"/api-reference/upcoming/account-management/private-change_margin_model","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-19T14:42:27.913Z","originalFileLocation":"api-reference/upcoming/account-management/private-change_margin_model.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin). Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change. Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds. 📖 Related Article: Margin types and usage Scope: account:read_write Try in API console\">\u003cmeta data-mint-head name=\"keywords\" content=\"Deribit API, cryptocurrency API, derivatives API, trading API, WebSocket API, FIX API, Bitcoin futures, options trading, API documentation\">\u003cmeta data-mint-head name=\"application-name\" content=\"Deribit API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"index, follow\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"private/change_margin_model\">\u003cmeta data-mint-head property=\"og:description\" content=\"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin). Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change. Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds. 📖 Related Article: Margin types and usage Scope: account:read_write Try in API console\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Deribit API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://deribit.mintlify.site/_mintlify/api/og/v2?division=Account+Management\u0026amp;title=private%2Fchange_margin_model\u0026amp;description=Changes+the+margin+model+for+the+authenticated+account+or+a+specified+subaccount.+Margin+models+determine+how+margin+requirements+are+calculated+%28e.g.%2C+Standard\u0026amp;theme=ac8885f98fec5a1d80cab062\u0026amp;signature=470a2d0b616dc3a1b2090d73bbde2c04f936ba472dfffe01fc3809cc6be77b3f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"private/change_margin_model\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin). Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change. Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds. 📖 Related Article: Margin types and usage Scope: account:read_write Try in API console\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://deribit.mintlify.site/_mintlify/api/og/v2?division=Account+Management\u0026amp;title=private%2Fchange_margin_model\u0026amp;description=Changes+the+margin+model+for+the+authenticated+account+or+a+specified+subaccount.+Margin+models+determine+how+margin+requirements+are+calculated+%28e.g.%2C+Standard\u0026amp;theme=ac8885f98fec5a1d80cab062\u0026amp;signature=470a2d0b616dc3a1b2090d73bbde2c04f936ba472dfffe01fc3809cc6be77b3f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/deribit/pu9BhCQUYFueUXtn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Deribit API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0052FF\">\u003cmeta data-mint-head name=\"og:locale\" content=\"en_US\">\u003cmeta data-mint-head name=\"author\" content=\"Deribit\">\u003cmeta data-mint-head name=\"application-name\" content=\"Deribit API Documentation\">\u003cmeta data-mint-head name=\"theme-color\" content=\"#0052FF\">\u003cmeta data-mint-head name=\"color-scheme\" content=\"light dark\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/upcoming/account-management/private-change_margin_model.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.deribit.com/#organization\",\"name\":\"Deribit API Documentation\",\"url\":\"https://docs.deribit.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/deribit/jU8dKQ0mWmFd1NVE/images/deribit_cb_logo_main_black_rgb.svg?fit=max\u0026auto=format\u0026n=jU8dKQ0mWmFd1NVE\u0026q=85\u0026s=f6995f51656093856017582bb557e0ff\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.deribit.com#website\",\"name\":\"Deribit API Documentation\",\"url\":\"https://docs.deribit.com\",\"publisher\":{\"@id\":\"https://docs.deribit.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model#webpage\",\"url\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model\",\"name\":\"private/change_margin_model\",\"description\":\"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin). Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change. Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds. 📖 Related Article: Margin types and usage Scope: account:read_write Try in API console\",\"dateModified\":\"2026-11-19T14:42:27.913Z\",\"isPartOf\":{\"@id\":\"https://docs.deribit.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Methods\",\"item\":\"https://docs.deribit.com/api-reference/upcoming/authentication/public-auth\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Account Management\",\"item\":\"https://docs.deribit.com/api-reference/upcoming/account-management/private-change_api_key_name\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"private/change_margin_model\",\"item\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model#apireference\",\"headline\":\"private/change_margin_model\",\"name\":\"private/change_margin_model\",\"description\":\"Changes the margin model for the authenticated account or a specified subaccount. Margin models determine how margin requirements are calculated (e.g., Standard Margin vs. Portfolio Margin). Changing the margin model may affect margin requirements, available funds, and trading capabilities. Use the dry_run parameter to preview the impact of the change before applying it. A dry run runs the same checks as the actual change. Returns an error if a currency would be left with negative equity, an unfunded long option position, or insufficient funds. 📖 Related Article: Margin types and usage Scope: account:read_write Try in API console\",\"url\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model\",\"mainEntityOfPage\":{\"@id\":\"https://docs.deribit.com//api-reference/upcoming/account-management/private-change_margin_model#webpage\"},\"dateModified\":\"2026-11-19T14:42:27.913Z\",\"keywords\":\"private/change_margin_model, user_id, margin_model, dry_run, old_state, new_state, currency\",\"publisher\":{\"@id\":\"https://docs.deribit.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.deribit.com#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/upcoming/account-management/private-change_margin_model.md","siteName":"Deribit API Documentation","nav":{"global":null,"versions":[{"version":"Production","pages":[{"title":"Production","href":"/"}]},{"version":"Upcoming","tabs":[{"tab":"Overview","pages":[{"title":"Overview","href":""}]},{"tab":"API Reference","dropdowns":[{"dropdown":"JSON-RPC API","icon":"code","pages":[{"group":"Methods overview","pages":[{"title":"JSON-RPC 2.0 Protocol","href":"/articles/json-rpc-overview"},{"title":"Error Codes","href":"/articles/errors"},{"title":"Using the currency Parameter","href":"/articles/currency-parameter"}]},{"group":"Methods","pages":[{"group":"Authentication","pages":[{"title":"public/auth","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/auth","href":"/api-reference/upcoming/authentication/public-auth"},{"title":"public/exchange_token","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/exchange_token","href":"/api-reference/upcoming/authentication/public-exchange_token"},{"title":"public/fork_token","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/fork_token","href":"/api-reference/upcoming/authentication/public-fork_token"},{"title":"private/logout","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/logout","href":"/api-reference/upcoming/authentication/private-logout"}]},{"group":"Account Management","pages":[{"title":"private/change_api_key_name","description":"Updates the display name for an API key. The name is used for identification purposes in the API key list and does not affect the key's functionality or permissions.\n\n**📖 Related Article:** [Creating new API key on Deribit](https://docs.deribit.com/articles/creating-api-key)\n\n**Scope:** `account:read_write`\n\n[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_api_key_name)\n\n","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_api_key_name","href":"/api-reference/upcoming/account-management/private-change_api_key_name"},{"title":"private/change_margin_model","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_margin_model","href":"/api-reference/upcoming/account-management/private-change_margin_model"},{"title":"private/change_scope_in_api_key","description":"Updates the scope (permissions) for an existing API key. The scope determines which operations the API key can perform (e.g., read-only, read-write, trading, etc.).\n\nWhen the scope is changed, the API key immediately loses access to operations outside the new scope. Applications using this key may need to be updated to reflect the new permissions.\n\n**[TFA required](https://docs.deribit.com/articles/security-keys)**\n\n**📖 Related Articles:** \n- [Creating new API key on Deribit](https://docs.deribit.com/articles/creating-api-key)\n- [Access Scope](https://docs.deribit.com/articles/access-scope)\n\n**Scope:** `account:read_write`\n\n[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fchange_scope_in_api_key)\n\n","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_scope_in_api_key","href":"/api-reference/upcoming/account-management/private-change_scope_in_api_key"},{"title":"private/change_subaccount_name","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/change_subaccount_name","href":"/api-reference/upcoming/account-management/private-change_subaccount_name"},{"title":"private/create_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/create_api_key","href":"/api-reference/upcoming/account-management/private-create_api_key"},{"title":"private/create_subaccount","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/create_subaccount","href":"/api-reference/upcoming/account-management/private-create_subaccount"},{"title":"private/delete_member","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/delete_member","href":"/api-reference/upcoming/account-management/private-delete_member"},{"title":"private/disable_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/disable_api_key","href":"/api-reference/upcoming/account-management/private-disable_api_key"},{"title":"private/edit_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/edit_api_key","href":"/api-reference/upcoming/account-management/private-edit_api_key"},{"title":"private/enable_affiliate_program","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/enable_affiliate_program","href":"/api-reference/upcoming/account-management/private-enable_affiliate_program"},{"title":"private/enable_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/enable_api_key","href":"/api-reference/upcoming/account-management/private-enable_api_key"},{"title":"private/get_access_log","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_access_log","href":"/api-reference/upcoming/account-management/private-get_access_log"},{"title":"private/get_account_summaries","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_account_summaries","href":"/api-reference/upcoming/account-management/private-get_account_summaries"},{"title":"private/get_account_summary","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_account_summary","href":"/api-reference/upcoming/account-management/private-get_account_summary"},{"title":"private/get_affiliate_program_info","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_affiliate_program_info","href":"/api-reference/upcoming/account-management/private-get_affiliate_program_info"},{"title":"private/get_currencies","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_currencies","href":"/api-reference/upcoming/account-management/private-get_currencies"},{"title":"private/get_email_language","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_email_language","href":"/api-reference/upcoming/account-management/private-get_email_language"},{"title":"private/get_members","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_members","href":"/api-reference/upcoming/account-management/private-get_members"},{"title":"private/get_new_announcements","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_new_announcements","href":"/api-reference/upcoming/account-management/private-get_new_announcements"},{"title":"private/get_position","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_position","href":"/api-reference/upcoming/account-management/private-get_position"},{"title":"private/get_positions","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_positions","href":"/api-reference/upcoming/account-management/private-get_positions"},{"title":"private/get_subaccounts","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_subaccounts","href":"/api-reference/upcoming/account-management/private-get_subaccounts"},{"title":"private/get_subaccounts_details","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_subaccounts_details","href":"/api-reference/upcoming/account-management/private-get_subaccounts_details"},{"title":"private/get_transaction_log","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_transaction_log","href":"/api-reference/upcoming/account-management/private-get_transaction_log"},{"title":"private/get_user_locks","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_locks","href":"/api-reference/upcoming/account-management/private-get_user_locks"},{"title":"private/list_api_keys","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/list_api_keys","href":"/api-reference/upcoming/account-management/private-list_api_keys"},{"title":"private/list_custody_accounts","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/list_custody_accounts","href":"/api-reference/upcoming/account-management/private-list_custody_accounts"},{"title":"private/pme/simulate","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/pme/simulate","href":"/api-reference/upcoming/account-management/private-simulate"},{"title":"private/remove_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/remove_api_key","href":"/api-reference/upcoming/account-management/private-remove_api_key"},{"title":"private/remove_subaccount","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/remove_subaccount","href":"/api-reference/upcoming/account-management/private-remove_subaccount"},{"title":"private/reset_api_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/reset_api_key","href":"/api-reference/upcoming/account-management/private-reset_api_key"},{"title":"private/set_announcement_as_read","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_announcement_as_read","href":"/api-reference/upcoming/account-management/private-set_announcement_as_read"},{"title":"private/set_disabled_trading_products","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_disabled_trading_products","href":"/api-reference/upcoming/account-management/private-set_disabled_trading_products"},{"title":"private/set_email_for_subaccount","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_email_for_subaccount","href":"/api-reference/upcoming/account-management/private-set_email_for_subaccount"},{"title":"private/set_email_language","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_email_language","href":"/api-reference/upcoming/account-management/private-set_email_language"},{"title":"private/set_member","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_member","href":"/api-reference/upcoming/account-management/private-set_member"},{"title":"private/set_self_trading_config","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_self_trading_config","href":"/api-reference/upcoming/account-management/private-set_self_trading_config"},{"title":"private/simulate_portfolio","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/simulate_portfolio","href":"/api-reference/upcoming/account-management/private-simulate_portfolio"},{"title":"private/toggle_notifications_from_subaccount","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/toggle_notifications_from_subaccount","href":"/api-reference/upcoming/account-management/private-toggle_notifications_from_subaccount"},{"title":"private/toggle_subaccount_login","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/toggle_subaccount_login","href":"/api-reference/upcoming/account-management/private-toggle_subaccount_login"},{"title":"public/get_announcements","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_announcements","href":"/api-reference/upcoming/account-management/public-get_announcements"}]},{"group":"Block RFQ","pages":[{"title":"private/accept_block_rfq","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/accept_block_rfq","href":"/api-reference/upcoming/block-rfq/private-accept_block_rfq"},{"title":"private/add_block_rfq_quote","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/add_block_rfq_quote","href":"/api-reference/upcoming/block-rfq/private-add_block_rfq_quote"},{"title":"private/cancel_all_block_rfq_quotes","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all_block_rfq_quotes","href":"/api-reference/upcoming/block-rfq/private-cancel_all_block_rfq_quotes"},{"title":"private/cancel_block_rfq","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_block_rfq","href":"/api-reference/upcoming/block-rfq/private-cancel_block_rfq"},{"title":"private/cancel_block_rfq_quote","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_block_rfq_quote","href":"/api-reference/upcoming/block-rfq/private-cancel_block_rfq_quote"},{"title":"private/cancel_block_rfq_trigger","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_block_rfq_trigger","href":"/api-reference/upcoming/block-rfq/private-cancel_block_rfq_trigger"},{"title":"private/create_block_rfq","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/create_block_rfq","href":"/api-reference/upcoming/block-rfq/private-create_block_rfq"},{"title":"private/edit_block_rfq_quote","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/edit_block_rfq_quote","href":"/api-reference/upcoming/block-rfq/private-edit_block_rfq_quote"},{"title":"private/get_block_rfq_makers","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_rfq_makers","href":"/api-reference/upcoming/block-rfq/private-get_block_rfq_makers"},{"title":"private/get_block_rfq_quotes","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_rfq_quotes","href":"/api-reference/upcoming/block-rfq/private-get_block_rfq_quotes"},{"title":"private/get_block_rfq_user_info","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_rfq_user_info","href":"/api-reference/upcoming/block-rfq/private-get_block_rfq_user_info"},{"title":"private/get_block_rfqs","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_rfqs","href":"/api-reference/upcoming/block-rfq/private-get_block_rfqs"},{"title":"public/get_block_rfq_trades","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_block_rfq_trades","href":"/api-reference/upcoming/block-rfq/public-get_block_rfq_trades"}]},{"group":"Block Trade","pages":[{"title":"private/approve_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/approve_block_trade","href":"/api-reference/upcoming/block-trade/private-approve_block_trade"},{"title":"private/execute_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/execute_block_trade","href":"/api-reference/upcoming/block-trade/private-execute_block_trade"},{"title":"private/get_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_trade","href":"/api-reference/upcoming/block-trade/private-get_block_trade"},{"title":"private/get_block_trade_requests","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_trade_requests","href":"/api-reference/upcoming/block-trade/private-get_block_trade_requests"},{"title":"private/get_block_trades","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_block_trades","href":"/api-reference/upcoming/block-trade/private-get_block_trades"},{"title":"private/get_broker_clients","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_broker_clients","href":"/api-reference/upcoming/block-trade/private-get_broker_clients"},{"title":"private/get_broker_trade_requests","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_broker_trade_requests","href":"/api-reference/upcoming/block-trade/private-get_broker_trade_requests"},{"title":"private/get_broker_trades","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_broker_trades","href":"/api-reference/upcoming/block-trade/private-get_broker_trades"},{"title":"private/invalidate_block_trade_signature","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/invalidate_block_trade_signature","href":"/api-reference/upcoming/block-trade/private-invalidate_block_trade_signature"},{"title":"private/reject_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/reject_block_trade","href":"/api-reference/upcoming/block-trade/private-reject_block_trade"},{"title":"private/simulate_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/simulate_block_trade","href":"/api-reference/upcoming/block-trade/private-simulate_block_trade"},{"title":"private/verify_block_trade","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/verify_block_trade","href":"/api-reference/upcoming/block-trade/private-verify_block_trade"}]},{"group":"Combo Books","pages":[{"title":"private/create_combo","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/create_combo","href":"/api-reference/upcoming/combo-books/private-create_combo"},{"title":"private/get_leg_prices","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_leg_prices","href":"/api-reference/upcoming/combo-books/private-get_leg_prices"},{"title":"public/get_combo_details","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_combo_details","href":"/api-reference/upcoming/combo-books/public-get_combo_details"},{"title":"public/get_combo_ids","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_combo_ids","href":"/api-reference/upcoming/combo-books/public-get_combo_ids"},{"title":"public/get_combos","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_combos","href":"/api-reference/upcoming/combo-books/public-get_combos"}]},{"group":"LSP","pages":[{"title":"private/get_lsp_participant_config","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_lsp_participant_config","href":"/api-reference/upcoming/lsp/private-get_lsp_participant_config"},{"title":"private/get_lsp_participants","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_lsp_participants","href":"/api-reference/upcoming/lsp/private-get_lsp_participants"},{"title":"private/get_lsp_participants_usage","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_lsp_participants_usage","href":"/api-reference/upcoming/lsp/private-get_lsp_participants_usage"},{"title":"private/get_lsp_usage","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_lsp_usage","href":"/api-reference/upcoming/lsp/private-get_lsp_usage"}]},{"group":"Market Data","pages":[{"title":"public/get_apr_history","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_apr_history","href":"/api-reference/upcoming/market-data/public-get_apr_history"},{"title":"public/get_basket_index_composition","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_basket_index_composition","href":"/api-reference/upcoming/market-data/public-get_basket_index_composition"},{"title":"public/get_book_summary_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_book_summary_by_currency","href":"/api-reference/upcoming/market-data/public-get_book_summary_by_currency"},{"title":"public/get_book_summary_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_book_summary_by_instrument","href":"/api-reference/upcoming/market-data/public-get_book_summary_by_instrument"},{"title":"public/get_contract_size","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_contract_size","href":"/api-reference/upcoming/market-data/public-get_contract_size"},{"title":"public/get_currencies","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_currencies","href":"/api-reference/upcoming/market-data/public-get_currencies"},{"title":"public/get_delivery_prices","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_delivery_prices","href":"/api-reference/upcoming/market-data/public-get_delivery_prices"},{"title":"public/get_expirations","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_expirations","href":"/api-reference/upcoming/market-data/public-get_expirations"},{"title":"public/get_funding_chart_data","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_funding_chart_data","href":"/api-reference/upcoming/market-data/public-get_funding_chart_data"},{"title":"public/get_funding_rate_history","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_funding_rate_history","href":"/api-reference/upcoming/market-data/public-get_funding_rate_history"},{"title":"public/get_funding_rate_value","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_funding_rate_value","href":"/api-reference/upcoming/market-data/public-get_funding_rate_value"},{"title":"public/get_historical_volatility","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_historical_volatility","href":"/api-reference/upcoming/market-data/public-get_historical_volatility"},{"title":"public/get_index_price","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_index_price","href":"/api-reference/upcoming/market-data/public-get_index_price"},{"title":"public/get_index_price_names","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_index_price_names","href":"/api-reference/upcoming/market-data/public-get_index_price_names"},{"title":"public/get_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_instrument","href":"/api-reference/upcoming/market-data/public-get_instrument"},{"title":"public/get_instruments","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_instruments","href":"/api-reference/upcoming/market-data/public-get_instruments"},{"title":"public/get_last_settlements_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_settlements_by_currency","href":"/api-reference/upcoming/market-data/public-get_last_settlements_by_currency"},{"title":"public/get_last_settlements_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_settlements_by_instrument","href":"/api-reference/upcoming/market-data/public-get_last_settlements_by_instrument"},{"title":"public/get_last_trades_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_trades_by_currency","href":"/api-reference/upcoming/market-data/public-get_last_trades_by_currency"},{"title":"public/get_last_trades_by_currency_and_time","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_trades_by_currency_and_time","href":"/api-reference/upcoming/market-data/public-get_last_trades_by_currency_and_time"},{"title":"public/get_last_trades_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_trades_by_instrument","href":"/api-reference/upcoming/market-data/public-get_last_trades_by_instrument"},{"title":"public/get_last_trades_by_instrument_and_time","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_last_trades_by_instrument_and_time","href":"/api-reference/upcoming/market-data/public-get_last_trades_by_instrument_and_time"},{"title":"public/get_mark_price_history","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_mark_price_history","href":"/api-reference/upcoming/market-data/public-get_mark_price_history"},{"title":"public/get_order_book","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_order_book","href":"/api-reference/upcoming/market-data/public-get_order_book"},{"title":"public/get_order_book_by_instrument_id","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_order_book_by_instrument_id","href":"/api-reference/upcoming/market-data/public-get_order_book_by_instrument_id"},{"title":"public/get_supported_index_names","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_supported_index_names","href":"/api-reference/upcoming/market-data/public-get_supported_index_names"},{"title":"public/get_trade_volumes","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_trade_volumes","href":"/api-reference/upcoming/market-data/public-get_trade_volumes"},{"title":"public/get_tradingview_chart_data","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_tradingview_chart_data","href":"/api-reference/upcoming/market-data/public-get_tradingview_chart_data"},{"title":"public/get_volatility_index_data","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_volatility_index_data","href":"/api-reference/upcoming/market-data/public-get_volatility_index_data"},{"title":"public/ticker","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/ticker","href":"/api-reference/upcoming/market-data/public-ticker"},{"title":"public/get_index_chart_data","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_index_chart_data","href":"/api-reference/upcoming/market-data/public-get_index_chart_data"}]},{"group":"Session Management","pages":[{"title":"private/disable_cancel_on_disconnect","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/disable_cancel_on_disconnect","href":"/api-reference/upcoming/session-management/private-disable_cancel_on_disconnect"},{"title":"private/enable_cancel_on_disconnect","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/enable_cancel_on_disconnect","href":"/api-reference/upcoming/session-management/private-enable_cancel_on_disconnect"},{"title":"private/get_cancel_on_disconnect","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_cancel_on_disconnect","href":"/api-reference/upcoming/session-management/private-get_cancel_on_disconnect"},{"title":"public/disable_heartbeat","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/disable_heartbeat","href":"/api-reference/upcoming/session-management/public-disable_heartbeat"},{"title":"public/set_heartbeat","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/set_heartbeat","href":"/api-reference/upcoming/session-management/public-set_heartbeat"}]},{"group":"Subscription Management","pages":[{"title":"private/subscribe","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/subscribe","href":"/api-reference/upcoming/subscription-management/private-subscribe"},{"title":"private/unsubscribe","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/unsubscribe","href":"/api-reference/upcoming/subscription-management/private-unsubscribe"},{"title":"private/unsubscribe_all","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/unsubscribe_all","href":"/api-reference/upcoming/subscription-management/private-unsubscribe_all"},{"title":"public/subscribe","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/subscribe","href":"/api-reference/upcoming/subscription-management/public-subscribe"},{"title":"public/unsubscribe","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/unsubscribe","href":"/api-reference/upcoming/subscription-management/public-unsubscribe"},{"title":"public/unsubscribe_all","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/unsubscribe_all","href":"/api-reference/upcoming/subscription-management/public-unsubscribe_all"}]},{"group":"Supporting","pages":[{"title":"public/get_time","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/get_time","href":"/api-reference/upcoming/supporting/public-get_time"},{"title":"public/hello","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/hello","href":"/api-reference/upcoming/supporting/public-hello"},{"title":"public/status","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/status","href":"/api-reference/upcoming/supporting/public-status"},{"title":"public/test","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /public/test","href":"/api-reference/upcoming/supporting/public-test"}]},{"group":"Trading","pages":[{"title":"private/buy","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/buy","href":"/api-reference/upcoming/trading/private-buy"},{"title":"private/cancel","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel","href":"/api-reference/upcoming/trading/private-cancel"},{"title":"private/cancel_all","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all","href":"/api-reference/upcoming/trading/private-cancel_all"},{"title":"private/cancel_all_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all_by_currency","href":"/api-reference/upcoming/trading/private-cancel_all_by_currency"},{"title":"private/cancel_all_by_currency_pair","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all_by_currency_pair","href":"/api-reference/upcoming/trading/private-cancel_all_by_currency_pair"},{"title":"private/cancel_all_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all_by_instrument","href":"/api-reference/upcoming/trading/private-cancel_all_by_instrument"},{"title":"private/cancel_all_by_kind_or_type","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_all_by_kind_or_type","href":"/api-reference/upcoming/trading/private-cancel_all_by_kind_or_type"},{"title":"private/cancel_by_label","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_by_label","href":"/api-reference/upcoming/trading/private-cancel_by_label"},{"title":"private/cancel_quotes","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_quotes","href":"/api-reference/upcoming/trading/private-cancel_quotes"},{"title":"private/close_position","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/close_position","href":"/api-reference/upcoming/trading/private-close_position"},{"title":"private/edit","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/edit","href":"/api-reference/upcoming/trading/private-edit"},{"title":"private/edit_by_label","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/edit_by_label","href":"/api-reference/upcoming/trading/private-edit_by_label"},{"title":"private/get_margins","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_margins","href":"/api-reference/upcoming/trading/private-get_margins"},{"title":"private/get_mmp_config","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_mmp_config","href":"/api-reference/upcoming/trading/private-get_mmp_config"},{"title":"private/get_mmp_status","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_mmp_status","href":"/api-reference/upcoming/trading/private-get_mmp_status"},{"title":"private/get_open_orders","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_open_orders","href":"/api-reference/upcoming/trading/private-get_open_orders"},{"title":"private/get_open_orders_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_open_orders_by_currency","href":"/api-reference/upcoming/trading/private-get_open_orders_by_currency"},{"title":"private/get_open_orders_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_open_orders_by_instrument","href":"/api-reference/upcoming/trading/private-get_open_orders_by_instrument"},{"title":"private/get_open_orders_by_label","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_open_orders_by_label","href":"/api-reference/upcoming/trading/private-get_open_orders_by_label"},{"title":"private/get_order_history_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_order_history_by_currency","href":"/api-reference/upcoming/trading/private-get_order_history_by_currency"},{"title":"private/get_order_history_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_order_history_by_instrument","href":"/api-reference/upcoming/trading/private-get_order_history_by_instrument"},{"title":"private/get_order_margin_by_ids","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_order_margin_by_ids","href":"/api-reference/upcoming/trading/private-get_order_margin_by_ids"},{"title":"private/get_order_state","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_order_state","href":"/api-reference/upcoming/trading/private-get_order_state"},{"title":"private/get_order_state_by_label","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_order_state_by_label","href":"/api-reference/upcoming/trading/private-get_order_state_by_label"},{"title":"private/get_settlement_history_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_settlement_history_by_currency","href":"/api-reference/upcoming/trading/private-get_settlement_history_by_currency"},{"title":"private/get_settlement_history_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_settlement_history_by_instrument","href":"/api-reference/upcoming/trading/private-get_settlement_history_by_instrument"},{"title":"private/get_trigger_order_history","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_trigger_order_history","href":"/api-reference/upcoming/trading/private-get_trigger_order_history"},{"title":"private/get_user_trades_by_currency","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_trades_by_currency","href":"/api-reference/upcoming/trading/private-get_user_trades_by_currency"},{"title":"private/get_user_trades_by_currency_and_time","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_trades_by_currency_and_time","href":"/api-reference/upcoming/trading/private-get_user_trades_by_currency_and_time"},{"title":"private/get_user_trades_by_instrument","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_trades_by_instrument","href":"/api-reference/upcoming/trading/private-get_user_trades_by_instrument"},{"title":"private/get_user_trades_by_instrument_and_time","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_trades_by_instrument_and_time","href":"/api-reference/upcoming/trading/private-get_user_trades_by_instrument_and_time"},{"title":"private/get_user_trades_by_order","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_user_trades_by_order","href":"/api-reference/upcoming/trading/private-get_user_trades_by_order"},{"title":"private/mass_quote","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/mass_quote","href":"/api-reference/upcoming/trading/private-mass_quote"},{"title":"private/move_positions","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/move_positions","href":"/api-reference/upcoming/trading/private-move_positions"},{"title":"private/reset_mmp","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/reset_mmp","href":"/api-reference/upcoming/trading/private-reset_mmp"},{"title":"private/sell","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/sell","href":"/api-reference/upcoming/trading/private-sell"},{"title":"private/set_mmp_config","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_mmp_config","href":"/api-reference/upcoming/trading/private-set_mmp_config"}]},{"group":"Wallet","pages":[{"title":"private/add_to_address_book","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/add_to_address_book","href":"/api-reference/upcoming/wallet/private-add_to_address_book"},{"title":"private/cancel_transfer_by_id","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_transfer_by_id","href":"/api-reference/upcoming/wallet/private-cancel_transfer_by_id"},{"title":"private/cancel_withdrawal","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/cancel_withdrawal","href":"/api-reference/upcoming/wallet/private-cancel_withdrawal"},{"title":"private/coinbase/estimate_withdrawal_fee","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/coinbase/estimate_withdrawal_fee","href":"/api-reference/upcoming/wallet/private-estimate_withdrawal_fee"},{"title":"private/create_deposit_address","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/create_deposit_address","href":"/api-reference/upcoming/wallet/private-create_deposit_address"},{"title":"private/delete_address_beneficiary","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/delete_address_beneficiary","href":"/api-reference/upcoming/wallet/private-delete_address_beneficiary"},{"title":"private/get_address_beneficiary","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_address_beneficiary","href":"/api-reference/upcoming/wallet/private-get_address_beneficiary"},{"title":"private/get_address_book","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_address_book","href":"/api-reference/upcoming/wallet/private-get_address_book"},{"title":"private/get_ctn_id","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_ctn_id","href":"/api-reference/upcoming/wallet/private-get_ctn_id"},{"title":"private/get_current_deposit_address","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_current_deposit_address","href":"/api-reference/upcoming/wallet/private-get_current_deposit_address"},{"title":"private/get_deposits","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_deposits","href":"/api-reference/upcoming/wallet/private-get_deposits"},{"title":"private/get_reward_eligibility","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_reward_eligibility","href":"/api-reference/upcoming/wallet/private-get_reward_eligibility"},{"title":"private/get_transfers","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_transfers","href":"/api-reference/upcoming/wallet/private-get_transfers"},{"title":"private/get_withdrawals","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/get_withdrawals","href":"/api-reference/upcoming/wallet/private-get_withdrawals"},{"title":"private/list_address_beneficiaries","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/list_address_beneficiaries","href":"/api-reference/upcoming/wallet/private-list_address_beneficiaries"},{"title":"private/remove_from_address_book","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/remove_from_address_book","href":"/api-reference/upcoming/wallet/private-remove_from_address_book"},{"title":"private/save_address_beneficiary","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/save_address_beneficiary","href":"/api-reference/upcoming/wallet/private-save_address_beneficiary"},{"title":"private/set_address_requires_security_key","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_address_requires_security_key","href":"/api-reference/upcoming/wallet/private-set_address_requires_security_key"},{"title":"private/set_clearance_originator","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_clearance_originator","href":"/api-reference/upcoming/wallet/private-set_clearance_originator"},{"title":"private/set_coinbase_subaccount_withdrawals_allowed","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/set_coinbase_subaccount_withdrawals_allowed","href":"/api-reference/upcoming/wallet/private-set_coinbase_subaccount_withdrawals_allowed"},{"title":"private/submit_transfer_between_subaccounts","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/submit_transfer_between_subaccounts","href":"/api-reference/upcoming/wallet/private-submit_transfer_between_subaccounts"},{"title":"private/submit_transfer_to_subaccount","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/submit_transfer_to_subaccount","href":"/api-reference/upcoming/wallet/private-submit_transfer_to_subaccount"},{"title":"private/submit_transfer_to_user","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/submit_transfer_to_user","href":"/api-reference/upcoming/wallet/private-submit_transfer_to_user"},{"title":"private/update_in_address_book","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/update_in_address_book","href":"/api-reference/upcoming/wallet/private-update_in_address_book"},{"title":"private/withdraw","deprecated":null,"version":null,"openapi":"/specifications/deribit_upcoming_openapi.json get /private/withdraw","href":"/api-reference/upcoming/wallet/private-withdraw"}]}]}]},{"dropdown":"Subscription Channels","icon":"rss","groups":[{"group":"Introduction","pages":[{"title":"Notifications","href":"/articles/notifications"}]},{"group":"Websockets","pages":[{"group":"Platform","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json platform_state","href":"/subscriptions/upcoming/platform/platform_state","title":"platform_state ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json platform_state.public_methods_state","href":"/subscriptions/upcoming/platform/platform_statepublic_methods_state","title":"platform_state.public_methods_state ","version":null}]},{"group":"Announcements","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json announcements","href":"/subscriptions/upcoming/announcements/announcements","title":"announcements ","version":null}]},{"group":"Orderbook","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json book.(instrument_name).(interval)","href":"/subscriptions/upcoming/orderbook/bookinstrument_nameinterval","title":"book.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json book.(instrument_name).(group).(depth).(interval)","href":"/subscriptions/upcoming/orderbook/bookinstrument_namegroupdepthinterval","title":"book.(instrument_name).(group).(depth).(interval) ","version":null}]},{"group":"Market Data","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json ticker.(instrument_name).(interval)","href":"/subscriptions/upcoming/market-data/tickerinstrument_nameinterval","title":"ticker.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json incremental_ticker.(instrument_name)","href":"/subscriptions/upcoming/market-data/incremental_tickerinstrument_name","title":"incremental_ticker.(instrument_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json perpetual.(instrument_name).(interval)","href":"/subscriptions/upcoming/market-data/perpetualinstrument_nameinterval","title":"perpetual.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json quote.(instrument_name)","href":"/subscriptions/upcoming/market-data/quoteinstrument_name","title":"quote.(instrument_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json deribit_price_index.(index_name)","href":"/subscriptions/upcoming/market-data/deribit_price_indexindex_name","title":"deribit_price_index.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json deribit_price_ranking.(index_name)","href":"/subscriptions/upcoming/market-data/deribit_price_rankingindex_name","title":"deribit_price_ranking.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json deribit_price_statistics.(index_name)","href":"/subscriptions/upcoming/market-data/deribit_price_statisticsindex_name","title":"deribit_price_statistics.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json deribit_volatility_index.(index_name)","href":"/subscriptions/upcoming/market-data/deribit_volatility_indexindex_name","title":"deribit_volatility_index.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json markprice.options.(index_name)","href":"/subscriptions/upcoming/market-data/markpriceoptionsindex_name","title":"markprice.options.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json estimated_expiration_price.(index_name)","href":"/subscriptions/upcoming/market-data/estimated_expiration_priceindex_name","title":"estimated_expiration_price.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json chart.trades.(instrument_name).(resolution)","href":"/subscriptions/upcoming/market-data/charttradesinstrument_nameresolution","title":"chart.trades.(instrument_name).(resolution) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json instrument.creation.(kind).(currency)","href":"/subscriptions/upcoming/market-data/instrumentcreationkindcurrency","title":"instrument.creation.(kind).(currency) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json instrument.state.(kind).(currency)","href":"/subscriptions/upcoming/market-data/instrumentstatekindcurrency","title":"instrument.state.(kind).(currency) ","version":null}]},{"group":"Trades","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json trades.(instrument_name).(interval)","href":"/subscriptions/upcoming/trades/tradesinstrument_nameinterval","title":"trades.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json trades.(kind).(currency).(interval)","href":"/subscriptions/upcoming/trades/tradeskindcurrencyinterval","title":"trades.(kind).(currency).(interval) ","version":null}]},{"group":"Block Trade","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_trade_confirmations","href":"/subscriptions/upcoming/block-trade/block_trade_confirmations","title":"block_trade_confirmations ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_trade_confirmations.(currency)","href":"/subscriptions/upcoming/block-trade/block_trade_confirmationscurrency","title":"block_trade_confirmations.(currency) ","version":null}]},{"group":"User","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.mmp_trigger.(index_name)","href":"/subscriptions/upcoming/user/usermmp_triggerindex_name","title":"user.mmp_trigger.(index_name) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.portfolio.(currency)","href":"/subscriptions/upcoming/user/userportfoliocurrency","title":"user.portfolio.(currency) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.trades.(instrument_name).(interval)","href":"/subscriptions/upcoming/user/usertradesinstrument_nameinterval","title":"user.trades.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.trades.(kind).(currency).(interval)","href":"/subscriptions/upcoming/user/usertradeskindcurrencyinterval","title":"user.trades.(kind).(currency).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.combo_trades.(instrument_name).(interval)","href":"/subscriptions/upcoming/user/usercombo_tradesinstrument_nameinterval","title":"user.combo_trades.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.combo_trades.(kind).(currency).(interval)","href":"/subscriptions/upcoming/user/usercombo_tradeskindcurrencyinterval","title":"user.combo_trades.(kind).(currency).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.orders.(instrument_name).raw","href":"/subscriptions/upcoming/user/userordersinstrument_nameraw","title":"user.orders.(instrument_name).raw ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.orders.(instrument_name).(interval)","href":"/subscriptions/upcoming/user/userordersinstrument_nameinterval","title":"user.orders.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.orders.(kind).(currency).raw","href":"/subscriptions/upcoming/user/userorderskindcurrencyraw","title":"user.orders.(kind).(currency).raw ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.orders.(kind).(currency).(interval)","href":"/subscriptions/upcoming/user/userorderskindcurrencyinterval","title":"user.orders.(kind).(currency).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.changes.(instrument_name).(interval)","href":"/subscriptions/upcoming/user/userchangesinstrument_nameinterval","title":"user.changes.(instrument_name).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.changes.(kind).(currency).(interval)","href":"/subscriptions/upcoming/user/userchangeskindcurrencyinterval","title":"user.changes.(kind).(currency).(interval) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.access_log","href":"/subscriptions/upcoming/user/useraccess_log","title":"user.access_log ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.lock","href":"/subscriptions/upcoming/user/userlock","title":"user.lock ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.liquidation","href":"/subscriptions/upcoming/user/userliquidation","title":"user.liquidation ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.isolated.liquidation","href":"/subscriptions/upcoming/user/userisolatedliquidation","title":"user.isolated.liquidation ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json user.lsp","href":"/subscriptions/upcoming/user/userlsp","title":"user.lsp ","version":null}]},{"group":"Block RFQ","pages":[{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_rfq.maker.(currency)","href":"/subscriptions/upcoming/block-rfq/block_rfqmakercurrency","title":"block_rfq.maker.(currency) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_rfq.taker.(currency)","href":"/subscriptions/upcoming/block-rfq/block_rfqtakercurrency","title":"block_rfq.taker.(currency) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_rfq.maker.quotes.(currency)","href":"/subscriptions/upcoming/block-rfq/block_rfqmakerquotescurrency","title":"block_rfq.maker.quotes.(currency) ","version":null},{"asyncapi":"specifications/deribit_upcoming_asyncapi.json block_rfq.trades.(currency)","href":"/subscriptions/upcoming/block-rfq/block_rfqtradescurrency","title":"block_rfq.trades.(currency) ","version":null}]}]}]},{"dropdown":"FIX API","icon":"bolt","pages":[{"group":"Overview","pages":[{"title":"Deribit Upcoming FIX API Overview","mode":"wide","href":"/fix-api/upcoming/overview"}]},{"group":"Session Management","pages":[{"title":"Logon(A) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/logon"},{"title":"Logout(5) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/logout"},{"title":"Heartbeat(0) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/heartbeat"},{"title":"Test Request(1) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/test-request"},{"title":"Resend Request(2) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/resend-request"},{"title":"Reject(3) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/reject"},{"title":"Sequence Reset(4) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/sequence-reset"}]},{"group":"Market Data","pages":[{"title":"Security List Request(x) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/security-list-request"},{"title":"Security List(y) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/security-list"},{"title":"Market Data Request(V) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/market-data-request"},{"title":"Market Data Request Reject(Y) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/market-data-request-reject"},{"title":"Market Data Snapshot/Full Refresh(W) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/market-data-snapshot"},{"title":"Market Data Incremental Refresh(X) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/market-data-incremental"},{"title":"Security Status Request(e) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/security-status-request"},{"title":"Security Status(f) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/security-status"}]},{"group":"Order Management","pages":[{"title":"New Order Single(D) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/new-order-single"},{"title":"Order Cancel Request(F) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/order-cancel-request"},{"title":"Order Cancel Reject(9) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/order-cancel-reject"},{"title":"Order Cancel/Replace Request(G) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/order-cancel-replace"},{"title":"Order Mass Cancel Request(q) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/order-mass-cancel-request"},{"title":"Order Mass Cancel Report(r) (Upcoming FIX API)","mode":"wide","href":"/fix-api/upcoming/order-mass-cancel-report"},{"title":"Order Mass Status Request(AF) (Upcoming FIX 
[...]
